// casy.asy
// Casy pouzivane v astronomii.
// Miroslav Broz (miroslav.broz@email.cz), Apr 19th 2012

import mbmac;

z[0]=(0,0);
z[1]=(-40,0);
real a=35;
z[2]=40*dir(a);

label("(atomové časy {\scriptsize TAI, TT, \dots})", (-5,22.5), W);

real tmp=4;
currentpen=penvector+gray;
draw(z[0]+(-tmp,0)--z[1]+(tmp,0), Arrow3(ahlength));
label("sluneční časy", interp(z[0],z[1],0.45), N);
label("{\scriptsize UT0, UTC, PMSČ, \dots}", interp(z[0],z[1],0.45)+(0,-4), S);

draw(z[0]+tmp*dir(a)--z[2]-tmp*dir(a), Arrow3(ahlength));
label("hvězdné časy", (xpart(z[2])-6,6), E);
label(rotate(a) * "{\scriptsize ST, ERA}", interp(z[0],z[2],0.5) + 3*dir(a-90));

tmp=2;
currentpen=penaxis;
draw(shift(z[0]) * scale(tmp) * unitcircle);
draw(shift(z[0]) * scale(tmp) * (up--down));
draw(shift(z[0]) * scale(tmp) * (left--right));
draw(arc(z[0],4,250,310), penaxis, Arrow(1.5mm));

draw(shift(z[1]) * scale(tmp) * unitcircle);
fill(shift(z[1]) * scale(.3) * unitcircle);

tmp=1.25;
void star(pair b) {
  for (int i=0; i<=4; ++i) {
    draw(shift(b) * rotate(i*45) * ((-tmp,0)--(tmp,0)));
  }
}

currentpen=penaxis+red;
star(z[2]);
currentpen=penaxis;
star((25,-2));



