// korekce_o_delku.asy
// Korekce o delku na slunecnich hodinach.
// Miroslav Broz (miroslav.broz@email.cz), Apr 19th 2012

import mbmac;

z[0]=(0,0);
z[1]=(0,40);
real r=22.5;
z[2]=(0,r);
real tmp=0.4;
p[0]=subpath(scale(r) * unitcircle,1-tmp,1+tmp);
real a=22.5;
z[3]=intersectionpoint(p[0], z[0]--z[0]+2*(r+1)*dir(90+a));

fill(p[0]--z[0]--cycle,.9white);
draw(p[0],pendefault);
label("Z", point(p[0],0), E);
label("V", point(p[0],2), W);

draw(z[0]--z[2], penaxis);
draw(z[0]--z[3], penaxis);
real tmp=16;
draw(arc(z[0],tmp,90,90+a),Arrow(2mm));
label("$\lambda$",z[0]+(tmp+3)*dir(90+a/2));

draw((0,r-carka)--(0,r+carka), pendefault);
draw(rotate(a) * ((0,r-carka)--(0,r+carka)), pendefault);
draw(z[2]--z[1], dashed);
draw(z[3]--z[1], dashed);

// slunce
tmp=1.5;
fill(shift(z[1]) * scale(tmp+.5) * unitcircle, white);
draw(shift(z[1]) * scale(tmp) * unitcircle, penaxis);
fill(shift(z[1]) * scale(.2) * unitcircle);

label(scale(axsc) * "\vbox{\hbox{posun}\hbox{pozorovatele}\hbox{k východu}}", (-20,5), E);
label(scale(axsc) * "\vbox{\hbox{posun}\hbox{Slunce}\hbox{k západu}}", z[1]+(3.5,-3.5), E);

